Subject: [http-state] [Technical Errata Reported] RFC6265 (4043)

From: RFC Errata System <[email-masked]>
Date: Sun, 6 Jul 2014 07:31:52 -0700 (PDT)

The following errata report has been submitted for RFC6265,
"HTTP State Management Mechanism".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=6265&eid=4043

--------------------------------------
Type: Technical
Reported by: Pierre Lepropre <[email-masked]>

Section: 5.1.4

Original Text
-------------
The user agent MUST use an algorithm equivalent to the following
algorithm to compute the default-path of a cookie:

Corrected Text
--------------
The user agent MUST use an algorithm equivalent to the following
algorithm to compute the default value for a cookie-path 
(and thereby matching the server-side semantics as defined in 4.1.2.4):

Notes
-----
The term "default-path" is not formally defined before and is quite misleading for the reader 
  A. going through the section 5.1.4 as it's only used there once and not again
     until section 5.2.4 (once again) and 5.3 (once again).
  B. not being a native English speaker

Furthermore, the true meaning of the "default-path" only appears sometime after at section 5.2.4 where it's finally bound altogether. Therefore, my personal recommendation would be to also replace the other occurrences of the "default-path" terms by "default cookie-path"

Instructions:
-------------
This errata is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party (IESG)
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC6265 (draft-ietf-httpstate-cookie-23)
--------------------------------------
Title               : HTTP State Management Mechanism
Publication Date    : April 2011
Author(s)           : A. Barth
Category            : PROPOSED STANDARD
Source              : HTTP State Management Mechanism
Area                : Applications
Stream              : IETF
Verifying Party     : IESG

---

From: Adam Barth <[email-masked]>
Date: Sun, 6 Jul 2014 08:55:07 -0700

I don't think we should accept this errata.  This sentence is the
definition of default-path, which is a term-of-art within this
document.  After the errata, this sentence is no longer defines this
term, breaking the references later in the document.

Adam

On Sun, Jul 6, 2014 at 7:31 AM, RFC Errata System
<[email-masked]> wrote:
> _______________________________________________
> http-state mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/http-state

---

From: Pierre Lepropre <[email-masked]>
Date: Sun, 6 Jul 2014 20:45:04 +0200

Hello Adam,

I agree the "default-path" is a term-of-art and yes, you are right it would
break references later in the document.
I'm sorry if my explanation wasn't accurate enough; it is not necessarily
easy to explain it in a concise matter.

Firstly, as I stated in the notes, although the construction of
"default-path" is stated right after it's written in Section 5.1.4 and that
the context might give a clue that "default-path" means "default cookie
path", "default-path" is never used again in Section 5.1.4. "uri-path",
"request-path" and "cookie-path" are the only terms being used in that
section.
Therefore, the reader might get confused as to what exactly the
"default-path" refers to whereas "default cookie-path" is a bit more
explicit; it's a specific case of the more general term "cookie-path".

Secondly, regarding the references being broken, there are only two other
references, one in Section 5.2.4 (where "default-path" and "cookie-path"
are being tied together) and one in Section 5.3. I mentioned them briefly
in the notes too.

Hope this helps,

Pierre.

2014-07-06 17:55 GMT+02:00 Adam Barth <[email-masked]>:

> > Furthermore, the true meaning of the "default-path" only appears
> sometime after at section 5.2.4 where it's finally bound altogether.
> Therefore, my personal recommendation would be to also replace the other
> occurrences of the "default-path" terms by "default cookie-path"
> >
> > Instructions:
> > -------------